.why-love {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;

    gap: 50px;

    height: 850px;
    width: 100vw;

    z-index: 100;
}

.why-love-title {
    text-align: center;
    font-family: 'Smeshariki';
    font-size: 64px;

    background: var(--violet-1);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;

    line-height: 60px;
}

.why-love-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 64px;
    width: 100%;
    height: 100%;
    max-height: 600px;
    box-sizing: border-box; 
    padding-top: 50px;
    text-align: center;
    max-width: calc(var(--content-max-width) - 600px);
    position: relative;
}

.why-love-bear {
    bottom: 0;
    position: absolute;
    width: 350px;
    height: 400px;
}

@keyframes floatUpDown {
    0%, 100% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-20px);
    }
}

@keyframes floatDownUp {
    0%, 100% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(30px); 
    }
}

.why-love-content-row-1 {
    display: flex;
    width: 100%;
    height: 200px;
}

.why-love-baloon-1 {
    position: relative;
    flex: 1;
    display: flex;
    justify-content: flex-end;
    align-items: center; 
    padding-right: 70px; 
    animation: floatUpDown 6s ease-in-out infinite;
}

.why-love-baloon-2 {
    flex: 1;
    display: flex;
    justify-content: flex-start;
    padding-left: 70px; 
    align-items: center;
    animation: floatUpDown 6s ease-in-out infinite;
    animation-delay: 1.5s;
}

.why-love-content-row-2 {
    display: flex;
    width: 100%;
    height: 200px;
}

.why-love-baloon-3 {
    position: relative;
    flex: 1;
    display: flex;
    justify-content: flex-start;
    align-items: center; 
    padding-left: 90px; 
    animation: floatUpDown 6s ease-in-out infinite;
    animation-delay: 1.5s;
}

.why-love-baloon-4 {
    flex: 1;
    display: flex;
    justify-content: flex-end;
    padding-right: 90px; 
    align-items: center;
    animation: floatUpDown 6s ease-in-out infinite
}

.why-love-baloon {
    position: absolute;   
    width: 250px;
    height: 250px;
}

.why-love-baloon-image {
    width: 100%;
    height: 100%;
    display: block;
    position: relative;
}

.why-love-baloon-text {
    position: absolute;
    left: 0;
    top: 95px;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 12px;
}

.why-love-baloon-text-title {
    font-size: 20px;
    font-weight: 600;
    color: white !important;

}

.why-love-baloon-text-decription {
    font-size: 14px;
    color: white !important;
    max-width: 200px;
}

@media (max-width: 900px) {

    .why-love-title {
        max-width: 800px;
    }

    .why-love-content-row-1 {
        flex-direction: column;
        gap: 160px;
    }

    .why-love-baloon-1 {
        justify-content: center;
        padding-right: 250px;
    }

    .why-love-baloon-2 {
        justify-content: center;
        padding-left: 250px; 
    }

    .why-love-content-row-2 {
        flex-direction: column;
        gap: 160px;
    }

    .why-love-baloon-3 {
        justify-content: center;
        padding: 0;
        padding-right: 250px; 
    }

    .why-love-baloon-4 {
        justify-content: center;
        padding: 0;
        padding-left: 250px; 
    }

    .why-love {
        height: 1450px;
    }

    .why-love-content {
        max-height: 1350px;
        gap: 150px;
        padding-top: 100px;
    }

    .why-love-bear {
        bottom: 140px;
    }
}

@media (max-width: 820px) {
    .why-love-title {
        font-size: 40px;
        max-width: 600px;
        line-height: 46px;
    }
}


@media (max-width: 600px) {
    .why-love-title {
        max-width: 500px;
        line-height: 40px;
    }
}


@media (max-width: 500px) {
    .why-love-baloon {
        width: 170px;
        height: 170px;
    }

    .why-love-baloon-text {
        top: 55px;
        gap: 8px;
    }

    .why-love-baloon-text-title {
        font-size: 14px;
        max-width: 160px;
    }

    .why-love-baloon-text-decription {
        font-size: 10px;
        max-width: 160px;
    }

    .why-love-baloon-1 {
        padding-right: 90px;
    }

    .why-love-baloon-2 {
        padding-left: 90px; 
    }
    
    .why-love-baloon-3 {
        padding-right: 90px; 
    }

    .why-love-baloon-4 {
        padding-left: 90px; 
    }

    .why-love {
        height: 1300px;
    }

    .why-love-bear {
        width: 270px;
        height: 320px;
        bottom: 90px;
    }
}

@media (max-width: 400px) { 
    .why-love-title {
        font-size: 32px;
        line-height: 32px;
    }
}

/* =================== Decorations ================= */
/* ================================================= */

.why-love-red-berries {
    position: absolute;
    left: -65px;
    bottom: -20px;
    width: 90px;
    height: 70px;
    animation: floatDownUp 8s ease-in-out infinite;
}

.why-love-teddy-red-1 {
    position: absolute;
    right: -65px;
    bottom: 20px;
    width: 80px;
    height: 80px; 
    animation: floatDownUp 6s ease-in-out infinite;
    animation-delay: 1s;
}

.why-love-blueberry-1 {
    position: absolute;
    top: -40px;
    right: -70px;
    width: 100px;
    height: 100px;
    animation: floatUpDown 6s ease-in-out infinite;
}

.why-love-teddy-yellow-2 {
    position: absolute;
    top: -105px;
    right: 10px;
    width: 95px;
    height: 95px;
    animation: floatDownUp 8s ease-in-out infinite;
}

.why-love-mango {
    position: absolute;
    left: -30px;
    bottom: -50px;
    width: 90px;
    height: 90px;
    animation: floatDownUp 5s ease-in-out infinite;
    animation-delay: 1.5s;
}

.why-love-star-2 {
    position: absolute;
    left: -50px;
    bottom: 110px;
    width: 30px;
    height: 30px;
    animation: floatUpDown 5s ease-in-out infinite;
    animation-delay: 1.5s;
}

.why-love-banana {
    position: absolute;
    left: -20px;
    top: -40px;
    width: 80px;
    height: 100px;
    animation: floatDownUp 8s ease-in-out infinite;
}

.why-love-teddy-yellow-1 {
    position: absolute;
    bottom: 45px;
    left: -105px;
    width: 85px;
    height: 85px;
    animation: floatDownUp 8s ease-in-out infinite;
}

.why-love-star-1 {
    position: absolute;
    right: -50px;
    top: 30px;
    width: 25px;
    height: 25px;
    animation: floatUpDown 5s ease-in-out infinite;
    animation-delay: 1.5s;
}

@media (max-width: 900px) {
    .why-love-red-berries {
        bottom: -80px;
        left: 15px;
    }

    .why-love-teddy-red-1 {
        right: -95px;
        bottom: 80px;
        width: 80px;
        height: 80px; 
    }

    .why-love-blueberry-1 {
        top: -80px;
        right: 0;
    }

    .why-love-mango {
        left: auto;
        right: -20px;
        bottom: -40px;
        width: 60px;
        height: 60px;
    }

    .why-love-teddy-yellow-1 {
        bottom: -80px;
        left: 45px;
        width: 85px;
        height: 85px;
    }
}

@media (max-width: 500px) {
    .why-love-red-berries {
        bottom: -60px;
        width: 60px;
        height: 45px;
    }

    .why-love-teddy-red-1 {
        right: -75px;
        bottom: 60px;
        width: 50px;
        height: 50px; 
    }

    .why-love-blueberry-1 {
        width: 60px;
        height: 60px;
    }

    .why-love-teddy-yellow-2 {
        top: auto;
        bottom: -50px;
        right: -20px;
        width: 65px;
        height: 65px;
    }
    
    .why-love-mango {
        right: -20px;
        bottom: auto;
        top: -30px;
        width: 50px;
        height: 50px;
    }

    .why-love-star-2 {
        left: -20px;
        bottom: 0;
        width: 15px;
        height: 15px;
    }

    .why-love-teddy-yellow-1 {
        bottom: -80px;
        left: 15px;
        width: 60px;
        height: 60px;
    }

    .why-love-star-1 {
        right: -30px;
        top: -10px;
        width: 15px;
        height: 15px;
    }
}
/* ============== /Decorations =============== */